Name:		perl-Digest-MD4
Version:	1.5
Release:	4%{?dist}
Summary:	Perl interface to the MD4 Algorithm
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Digest-MD4/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MI/MIKEM/DigestMD4/Digest-MD4-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl(ExtUtils::MakeMaker), db4-devel, gdbm-devel
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Digest::MD4 module allows you to use the RSA Data Security Inc. MD4 Message
Digest algorithm from within Perl programs. The algorithm takes as input a
message of arbitrary length and produces as output a 128-bit "fingerprint" or
"message digest" of the input.

%prep
%setup -q -n Digest-MD4-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type f -name '*.bs' -empty -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec %{__rmdir} {} 2>/dev/null ';'
%{__chmod} -R u+w %{buildroot}/*

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README rfc1320.txt
%{perl_vendorarch}/Digest/
%{perl_vendorarch}/auto/Digest/
%{_mandir}/man3/*.3pm*

%changelog
* Wed Nov 28 2007 Paul Howarth <paul@city-fan.org> - 1.5-4
- cosmetic spec changes for new maintainer's preferences
- fix argument order for find with -depth
- add buildreqs db4-devel and gdbm-devel for alignment optimization

* Mon Oct 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5-3.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Thu Sep  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.5-3
- Rebuild for FC6.

* Fri Feb 17 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.5-2
- Rebuild for FC5 (perl 5.8.8).

* Sat Sep 10 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.5-1
- First build.
